%define pname OpenSSL
%define name python-%{pname}

Summary:	Python interface to the OpenSSL library
Name:		python-%{pname}
Version:	0.13
Release:	%mkrel 2
Source:		http://launchpad.net/pyopenssl/main/%{version}/+download/py%pname-%{version}.tar.gz
License:	LGPLv2
Group:		Development/Python
Url:		https://launchpad.net/pyopenssl
BuildRequires:	python-devel openssl-devel
BuildRequires:	texlive
Obsoletes:	pyOpenSSL
Provides:	pyOpenSSL

%description
pyOpenSSL is a high-level Python wrapper around a subset of OpenSSL library.

It includes:
* SSL.Connection objects, wrapping the methods of Python's portable sockets;
* callbacks written in Python;
* an extensive error-handling mechanism, mirroring OpenSSL's error codes;
* and much more.

%prep
%setup -q -n py%pname-%version

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}
%__python setup.py install --root=%{buildroot}

pushd doc
make dvi PAPER=letter
dvipdfm pyOpenSSL.dvi
popd

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc TODO README INSTALL ChangeLog examples/ doc/pyOpenSSL.pdf
%python_sitearch/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.13-2.mga3
+ Revision: 378442
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 blino <blino> 0.13-1.mga3
+ Revision: 337650
- 0.13 (needed for mitmproxy)

* Sun Jun 19 2011 kharec <kharec> 0.12-1.mga2
+ Revision: 109720
- new version 0.12

* Sat Apr 16 2011 ahmad <ahmad> 0.11-1.mga1
+ Revision: 86767
- update to 0.11
- change Url and Source urls to the new upstream web site
- drop explicit python runtime requires, already handled by the rpm build scripts
- move the cleaning of buildroot to %%install instead of %%prep

* Wed Mar 30 2011 ahmad <ahmad> 0.10-5.mga1
+ Revision: 78969
- replace tetex BR with texlive

* Thu Jan 20 2011 erwan <erwan> 0.10-4.mga1
+ Revision: 27425
- imported package python-OpenSSL

